## blas-ffc5 1.1-15

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Section: devel
 Conflicts: atlas2-dev (<= 3.0-8), atlas2-headers (<< 3.2.1ln-1)
 Replaces: atlas2-dev (<= 3.0-8), atlas2-headers (<< 3.2.1ln-1)
-Depends: blas (= ${Source-Version}), libc6-dev, ${g77}
+Depends: blas (= ${Source-Version}), blas-dev (= ${Source-Version}) libc6-dev, ${g77}
 Description: Basic Linear Algebra Subroutines, static library compiled by Fujitsu Fortran90 compiler ver. 5.
  BLAS (Basic Linear Algebra Subroutines) is a set of efficient
  routines for most of the basic vector and matrix operations.
