=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 
 ###
 SUFFIX=_ffc5
+EXT=-ffc5
 LIBNAME = blas$(SUFFIX)
 
 DLIBNAME= lib$(LIBNAME).so
@@ -232,12 +233,12 @@
 	[ -L $* ] || install -m 644 $* $(@D)
 	! [ -L $* ] || cp -d $* $(@D)
 
-debian/tmp/usr/lib/blas/%: cblas/testing/%
+debian/tmp/usr/lib/blas$(EXT)/%: cblas/testing/%
 	dh_testroot
 	mkdir -p $(@D)
 	install -m 755 cblas/testing/$* $(@D)
 
-debian/tmp/usr/lib/blas/%: test/%
+debian/tmp/usr/lib/blas$(EXT)/%: test/%
 	dh_testroot
 	mkdir -p $(@D)
 	install -m 755 test/$* $(@D)
@@ -254,8 +255,8 @@
 
 IF:=so so.$(SO) so.$(VERS) a
 IF:=$(addprefix debian/tmp/usr/lib/libblas$(SUFFIX).,$(IF))
-IF:=$(IF) $(subst cblas/testing/,debian/tmp/usr/lib/blas/,$(BIN))
-IF:=$(IF) $(subst test/,debian/tmp/usr/lib/blas/,$(FBN))
+IF:=$(IF) $(subst cblas/testing/,debian/tmp/usr/lib/blas$(EXT)/,$(BIN))
+IF:=$(IF) $(subst test/,debian/tmp/usr/lib/blas$(EXT)/,$(FBN))
 IF:=$(IF) $(addprefix debian/tmp/usr/include/cblas,.h _f77.h) $(MF) debian/test_results
 
 $(PDO): %.pdf: %.tex
@@ -319,4 +320,3 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-source diff:
